/**
 * Create a shallow copy of objects with support for blocking properties and allowing properties
 *
 * @export
 * @template T
 * @param {T} obj
 * @param {Partial<{ allowed: string[], blocked: string [] }>} [opts]
 * @returns {Partial<T>}
 */
export declare function copyProps<T extends object = object>(obj: T, opts?: {
    allowed: string[];
} | {
    blocked: string[];
}): Partial<T>;
